Name:           jpgalleg
Version:        2.5
Release:        6%{?dist}
Summary:        JPEG library for the Allegro game library
Group:          System Environment/Libraries
License:        zlib
URL:            http://www.ecplusplus.com/index.php?page=projects&pid=1
Source0:        http://www.ecplusplus.com/files/%{name}-%{version}.tar.gz
Patch0:         jpgalleg-2.5-64bit.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  allegro-devel

%description
jpgalleg is a jpeg library for use with the Allegro game library. It allows
using jpeg's as Allegro bitmaps.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       allegro-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
./fix.sh unix
%patch0 -p1 -z .64bit
# upstreams mmx support is non PIC, fixing this is not worth the trouble IMHO
touch include/mmx.h


%build
make lib OFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC" NO_ASSEMBLER=1
# Upstreams makefile creates a static lib, create a dynamic one ourselves
gcc -shared -Wl,-soname,libjpgal.so.2 -o libjpgal.so.%{version} \
  obj/unix/*.o `allegro-config --libs | sed 's/-lalleg_unsharable//'`


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
install -m 755 libjpgal.so.%{version} $RPM_BUILD_ROOT%{_libdir}
ln -s libjpgal.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libjpgal.so.2
ln -s libjpgal.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libjpgal.so
install -m 644 include/%{name}.h $RPM_BUILD_ROOT%{_includedir}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc license.txt readme.txt
%{_libdir}/libjpgal.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}.h
%{_libdir}/libjpgal.so


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.5-3
- Autorebuild for GCC 4.3

* Mon Aug 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.5-2
- Update License tag for new Licensing Guidelines compliance

* Fri Feb  2 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 2.5-1
- Initial FE package
